using SportsDivision.Domain.Entities;
using SportsDivision.Domain.Enums;

namespace SportsDivision.Domain.Interfaces;

public interface IEventRepository : IRepository<Event>
{
    Task<IEnumerable<Event>> GetByCategoryAsync(EventCategory category);
    Task<Event?> GetWithEventLevelsAsync(int eventId);
    Task<IEnumerable<Event>> GetBySchoolLevelAsync(bool primarySchool, bool secondarySchool);
}
